xmlValue {XML} | R Documentation

## Extract or set the contents of a leaf XML node

### Description

Some types of XML nodes have no children nodes, but are leaf nodes and simply contain text. Examples are `XMLTextMode`, `XMLProcessingInstruction`. This function provides access to their raw contents. This has been extended to operate recursivel on arbitrary XML nodes that contain a single text node.

### Usage

    xmlValue(x, ignoreComments = FALSE, recursive = TRUE,
              encoding = getEncoding(x), trim = FALSE)

### Arguments

`x` | the `XMLNode` object whose contents are to be returned.
`ignoreComments` | a logical value which, if `TRUE` does not include the text in XML comment nodes. If this is `FALSE`, the text in the comments is part of the return value.
`recursive` | a logical value indicating whether to process all sub-nodes (`TRUE`) or only the text nodes within the node `x`.

`encoding` | experimental functionality and parameter related to encoding.
`trim` | a logical value controlling whether we remove leading or trailing white space when returning the string value

### Value

The object stored in the `value` slot of the `XMLNode` object. This is typically a string.

### Author(s)

Duncan Temple Lang

### References

http://www.w3.org/XML, http://www.jclark.com/xml, http://www.omegahat.net

### See Also

`xmlChildren` `xmlName` `xmlAttrs` `xmlNamespace`

### Examples

     node <- xmlNode("foo", "Some text")
     xmlValue(node)

     xmlValue(xmlTextNode("some more raw text"))

      # Setting the xmlValue().
     a = newXMLNode("a")
     xmlValue(a) = "the text"
     xmlValue(a) = "different text"

     a = newXMLNode("x", "bob")
     xmlValue(a) = "joe"

     b = xmlNode("bob")
     xmlValue(b) = "Foo"
     xmlValue(b) = "again"

     b = newXMLNode("bob", "some text")
     xmlValue(b[[1]]) = "change"
     b

[Package XML version 3.98-1.4 Index]